Skip to content
Start here

List application and application type mappings

zero_trust.gateway.app_types.list(AppTypeListParams**kwargs) -> SyncSinglePage[AppType]
GET/accounts/{account_id}/gateway/app_types

List all application and application type mappings.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust ReadZero Trust Write
ParametersExpand Collapse
account_id: str

Provide the identifier string.

maxLength32
ReturnsExpand Collapse
One of the following:
class ZeroTrustGatewayApplication:
id: Optional[int]

Identify this application. Only one application per ID.

application_type_id: Optional[int]

Identify the type of this application. Multiple applications can share the same type. Refers to the id of a returned application type.

created_at: Optional[datetime]
formatdate-time
name: Optional[str]

Specify the name of the application or application type.

class ZeroTrustGatewayApplicationType:
id: Optional[int]

Identify the type of this application. Multiple applications can share the same type. Refers to the id of a returned application type.

created_at: Optional[datetime]
formatdate-time
description: Optional[str]

Provide a short summary of applications with this type.

name: Optional[str]

Specify the name of the application or application type.

List application and application type mappings

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zero_trust.gateway.app_types.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": 0,
      "application_type_id": 0,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "name": "Facebook"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": 0,
      "application_type_id": 0,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "name": "Facebook"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}